m4_define(``_STYLE_CREATE'', ``m4_ifelse($1,,,``
        body.no$1 DIV.$1 {display: none}
	_STYLE_CREATE(m4_shift($@))'')'')
m4_define(``_CONTROL_CREATE'', ``m4_ifelse($1,,,``
        <li class="controls">
		<input type="checkbox" id="$1category" onclick="save_display_setting();"/>
		<label for="$1category" class="$1">m4_translit(m4_substr(``$1'',0,1),a-z,A-Z)``''m4_substr(``$1'',1)</label>
	</li>
	_CONTROL_CREATE(m4_shift($@))'')'')
HEADER_CONTENT
    <link rel="stylesheet" href="calendar.css"/>
    <link rel="stylesheet" href="custom.css"/>
    <link rel="profile" href="http://microformats.org/profile/hcalendar"/>
    <script src="calendar.js"></script>
    <style>
	_STYLE_CREATE(_DCLOUD_CATEGORIES)
    </style>
MENU_CONTENT
    <li class="controls">
	<input type="checkbox" id="timeformatcheckbox" onclick="save_display_setting()">
	<label for="timeformatcheckbox">24-hour time</label>
    </li>
    _CONTROL_CREATE(_DCLOUD_CATEGORIES)
BODY_CONTENT
    <script>
	initialize_category_display ("_DCLOUD_CATEGORIES");
    </script>
